Loading...
Searching...
No Matches
osmo_soft_uart Struct Reference

Internal state of a soft-UART. More...

## Data Fields

struct osmo_soft_uart_cfg | cfg
const char * | name
unsigned int | status
struct { |
bool running |
uint8_t bit_count |
uint8_t shift_reg |
struct msgb * msg |
ubit_t parity_bit |
unsigned int flags |
struct osmo_timer_list timer |
enum suart_flow_state flow_state |
} | rx |
struct { |
bool running |
uint8_t bit_count |
uint8_t shift_reg |
ubit_t parity_bit |
enum suart_flow_state flow_state |
} | tx |

## Detailed Description

Internal state of a soft-UART.

## Field Documentation

## bit_count

uint8_t osmo_soft_uart::bit_count

## cfg

struct osmo_soft_uart_cfg osmo_soft_uart::cfg

Referenced by osmo_soft_uart_alloc(), and osmo_soft_uart_configure().

## flags

unsigned int osmo_soft_uart::flags

## flow_state

enum suart_flow_state osmo_soft_uart::flow_state

## msg

struct msgb* osmo_soft_uart::msg

Referenced by suart_tx_bit().

## name

const char* osmo_soft_uart::name

## parity_bit

ubit_t osmo_soft_uart::parity_bit

## running

bool osmo_soft_uart::running

## [struct]

struct { ... } osmo_soft_uart::rx

## shift_reg

uint8_t osmo_soft_uart::shift_reg

## status

unsigned int osmo_soft_uart::status

## timer

struct osmo_timer_list osmo_soft_uart::timer

## [struct]

struct { ... } osmo_soft_uart::tx

The documentation for this struct was generated from the following file:

- src/core/soft_uart.c